function init()
    shape   = FindShape()
    light   = FindLight()
    broken  = false
end

function tick(dt)
    if broken then return end

    if IsShapeBroken(shape) then
        broken = true
        SetLightEnabled(light, false)
    end
end